Package org.eclipse.net4j.util.factory

# Annotation Interface AnnotationFactory.InjectElement

Enclosing class:
  AnnotationFactory<PRODUCT>

@Inherited @Target(METHOD) @Retention(RUNTIME) public static @interface AnnotationFactory.InjectElement

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`AnnotationFactory.InjectElement.Cardinality`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`productGroup`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`AnnotationFactory.InjectElement.Cardinality`
`cardinality`
`String`
`defaultFactoryType`
`String`
`descriptionAttribute`
`String`
`factoryTypeAttribute`
`String`
`name`
`boolean`
`productSingleton`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FACTORY_TYPE_ATTRIBUTE`

## Field Details

### FACTORY_TYPE_ATTRIBUTE

static final String FACTORY_TYPE_ATTRIBUTE

See Also:
  - Constant Field Values

## Element Details

### productGroup

String productGroup

### name

String name

Default:
  ""

### productSingleton

boolean productSingleton

Default:
  false

### factoryTypeAttribute

String factoryTypeAttribute

Default:
  "type"

### defaultFactoryType

String defaultFactoryType

Default:
  ""

### descriptionAttribute

String descriptionAttribute

Default:
  ""

### cardinality

AnnotationFactory.InjectElement.Cardinality cardinality

Default:
  DETECT